Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::group_by_fn Struct Reference

## Synopsis of methods
constexpr view< group_by_fn > | group_by {}

## Public Types
template<typename Rng , typename Fun >
using | Concept = meta::and_< ForwardRange< Rng >, IndirectRelation< Fun, iterator_t< Rng > >>

## Public Member Functions
template<typename Rng , typename Fun , requires = (Concept<Rng, Fun>())>
group_by_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const